﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS5000B Setup IEEE
INSTRUMENT:            Sub Tek TDS5000B Set Bandwidth & Num_Chan
DATE:                  2009-06-30 11:13:22
AUTHOR:                Fluke
REVISION:              $Revision: 1.6 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       98
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tek_tds5000b_setup_ieee_bw_ch.txt,v $
#    $Date: 2009/06/30 18:04:38 $
#
#  Procedure Author:
#        DAC, VY
#
#  Model(s) Covered:
#        TDS5000B Series: TDS 5032B, TDS 5034B, TDS 5054BE,
#                         TDS 5052B, TDS 5054B,
#                         TDS 5104B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SETUP                        PSUBI("Setup")
  1.002  JMPL         SET_BW_NUM_CH                PSUBI("Set Bandwidth")
  1.003  DISP         Undefined subprocedure!
  1.004  END

  1.005  EVAL   Increment step number

#********************************* Setup *************************************

  2.001  LABEL        SETUP
  2.002  DISP         Select GPIB Configuration... from the Utilities menu.
  2.002  DISP
  2.002  DISP         Click the Configuration Talk/Listen button.
  2.003  CALL         Sub UUT Connection GPIB
  2.004  END

  2.005  EVAL   Increment step number

#************************* Set Bandwidth & Num_Chan *************************

  3.001  LABEL        SET_BW_NUM_CH

  3.002  IF           ZCMPI(@ModelNum, "TDS5032B")
  3.003  MATH         @Bandwidth = 350E+6; @NumChan = 2

  3.004  ELSEIF       ZCMPI(@ModelNum, "TDS5034B")
  3.005  MATH         @Bandwidth = 350E+6; @NumChan = 4

  3.006  ELSEIF       ZCMPI(@ModelNum, "TDS5052B")
  3.007  MATH         @Bandwidth = 500E+6; @NumChan = 2

  3.008  ELSEIF       ZCMPI(@ModelNum, "TDS5054B")
  3.009  MATH         @Bandwidth = 500E+6; @NumChan = 4

  3.010  ELSEIF       ZCMPI(@ModelNum, "TDS5054BE")
  3.011  MATH         @Bandwidth = 500E+6; @NumChan = 4

  3.012  ELSEIF       ZCMPI(@ModelNum, "TDS5104B")
  3.013  MATH         @Bandwidth = 1E+9;   @NumChan = 4

  3.014  ELSE
  3.015  DISP         Sub Tek TDS5000B Set Bandwidth & Num_Chan
  3.015  DISP
  3.015  DISP         Unsupported model number: [V @ModelNum]
  3.016  ENDIF

  3.017  END
