﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 5032B: (1 year) CAL VER IEEE /5500+SC600
DATE:                  2009-06-30 11:13:08
AUTHOR:                Fluke
REVISION:              $Revision: 1.6 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       262
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Text Source:
#    $RCSfile: tek_tds5032b_5052b_1yr_ver_ieee_5500_sc600.txt,v $
#    $Date: 2009/06/30 18:10:34 $
#
#  Procedure Author:
#        GCM, DFM, DAC, VY
#@
#@ Models covered:
#@       TDS 5032B, TDS 5052B
#@
#@ Source(s):
#@       TDS5000B Series Digital Phosphor Oscilloscopes
#@       Specification and Performance Verification Manual, PN 071-1420-01
#@
#@ Compatibility:
#@       MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub MET/CAL Version Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub UUT Connection GPIB
#        Sub Tek TDS5000B Set Bandwidth & Num_Chan
#        Sub Tek TDS5000B Setup IEEE
#        Sub Tek TDS5000B Self-Test IEEE
#        Sub Tek TDS5000B Sig Path Comp Cal IEEE
#        Sub Tek TDS5000B Channel Select IEEE
#        Sub Tek TDS5000B Check Trig Status IEEE
#        Sub Tek TDS5000B Adjust Trig Level IEEE
#        Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5500+S6
#        Sub Tek TDS5000B (1 yr) Bandwidth IEEE /5500+S6
#        Sub Tek TDS5000B (1 yr) Chan Delay IEEE /5500+S6
#        Sub Tek TDS5000B (1 yr) Channels Iso IEEE /5500+S6
#        Sub Tek TDS5000B (1 yr) Sample Rate IEEE /5500+S6
#        Sub Tek TDS5000B (1 yr) Delta Time IEEE /5500+S6
#        Sub Tek TDS5000B (1 yr) Trig Sens IEEE /5500+S6
#        Sub Tek TDS5000B (1 yr) Trig Time IEEE /5500+S6
#        Sub Tek TDS5000B (1 yr) Probe Comp IEEE /5500+S6
#
# Required Files:
#        None
#
#@ Additional Equipment Required:
#@       2 Way Power Splitter
#@       BNC T(f-m-f) adapter
#@       Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#@       SMA T(f-m-f) adapter
#@       Cable, 50 Ohm, SMA(m)-(m)
#@       3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
#@       2 sets SMA Short
#@       Probe 1X or 10X, such as Tektronix P5050, P6243, or P6245
#@
# The procedure was tested using:
#        Model No  :  TDS5032B
#        Serial No :  B020452
#        Options   :
#        Firmware  :  CF:91.1CT FV:2.0.11
#
# Average run time during testing :  25 min (include optional test)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5500         500MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  MATH         @ReqMetCalVersion = "7.20x"
  1.007  CALL         Sub MET/CAL Version Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or
  1.009  DISP         later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright
  1.013  CALL         Sub High Voltage Safety Warning
  1.014  CALL         Sub Select Failed Test Mode
  1.015  CALL         Sub Select Verification Method

  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  TARGET
  1.019  CALL         Sub Tek TDS5000B Setup IEEE
  1.020  IEEE2        *RST

  1.021  HEAD         UUT IDENTIFICATION
  1.022  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.023  IF           PSUB("5032B")
  1.024  MATH         Model = "TDS5032B"
  1.025  ELSEIF       PSUB("5052B")
  1.026  MATH         Model = "TDS5052B"
  1.027  ELSE
  1.028  MATH         Model = "unsupported model"
  1.029  ENDIF

  1.030  MATH         L[1] = ZCMPI("TEKTRONIX", @Manufacturer)
  1.031  MATH         L[2] = ZCMPI(Model, @ModelNum)

  1.032  IF           NOT(L[1] && L[2])
  1.033  DISP         UUT is an [V @Manufacturer] [V @ModelNum],
  1.033  DISP         not a Tektronix [V Model]!
  1.034  END
  1.035  ENDIF

  1.036  HEAD         EQUIPMENT REQUIREMENTS
  1.037  DISP         The following additional equipment and/or
  1.037  DISP         accessories are required:
  1.037  DISP
  1.037  DISP         - 2 Way Power Splitter
  1.037  DISP         - BNC T(f-m-f) adapter
  1.037  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.037  DISP         - SMA T(f-m-f) adapter
  1.037  DISP         - Cable, 50 Ohm, SMA(m)-(m)
  1.037  DISP         - 3 sets of SMA(f) to SMA(f), SMA(m) to BNC(f) adapter
  1.037  DISP         - 2 sets SMA Short
  1.037  DISP         - Probe 1X or 10X, such as Tek P5050, P6243, or P6245

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           BANDWIDTH(CH1)
#    5.   BANDWIDTH(CH1)                     CHANNEL ISOLATION(CH1 IN)
#    6.   BANDWIDTH(CH2)                     SAMPLE RATE AND DELAY TIME ACC
#    7.   CHANNEL DELAY                      TIME ACC OF PULSE WIDTH TRIG(CH1)
#    8.   CHANNEL ISOLATION(CH1 IN)          EDGE-TRIGGER SENSITIVITY(CH1)
#    9.   CHANNEL ISOLATION(CH2 IN)          DCV MEASUREMENT ACC(CH2)
#   10.   SAMPLE RATE AND DELAY TIME ACC     BANDWIDTH(CH2)
#   11.   DELTA TIME MEASUREMENT ACC(CH1)    CHANNEL ISOLATION(CH2 IN)
#   12.   DELTA TIME MEASUREMENT ACC(CH2)    DELTA TIME MEASUREMENT ACC(CH1)
#   13.   TIME ACC OF PULSE WIDTH TRIG(CH1)  DELTA TIME MEASUREMENT ACC(CH2)
#   14.   EDGE-TRIGGER SENSITIVITY(CH1)      CHANNEL DELAY
#   15.   PROBE COMPENSATION OUTPUT          PROBE COMPENSATION OUTPUT

  1.038  CALL         Sub Tek TDS5000B Set Bandwidth & Num_Chan
  1.039  CALL         Sub Tek TDS5000B Self-Test IEEE
  1.040  JMPL         END                          @Abort

  1.041  IF           ZCMPI(@ModelNum, "TDS5032B")
  1.042  MATH         @SPCTime = 220
  1.043  ELSE
  1.044  MATH         @SPCTime = 400
  1.045  ENDIF

  1.046  CALL         Sub Tek TDS5000B Sig Path Comp Cal IEEE
  1.047  JMPL         END                          @Abort

  1.048  MATH         @Chan = 1
  1.049  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5500+S6
  1.050  JMPL         BANDWIDTH_CH1

  1.051  LABEL        DCV_ACC_CH2
  1.052  MATH         @Chan = 2
  1.053  CALL         Sub Tek TDS5000B (1 yr) DCV Meas Acc IEEE /5500+S6
  1.054  JMPL         BANDWIDTH_CH2

  1.055  LABEL        BANDWIDTH_CH1
  1.056  MATH         @Chan = 1
  1.057  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE /5500+S6
  1.058  JMPL         CHANNELS_ISOLATION_CH1

  1.059  LABEL        BANDWIDTH_CH2
  1.060  MATH         @Chan = 2
  1.061  CALL         Sub Tek TDS5000B (1 yr) Bandwidth IEEE /5500+S6
  1.062  JMPL         CHANNELS_ISOLATION_CH2

  1.063  LABEL        CHANNEL_DELAY
  1.064  MATH         @Chan = 1
  1.065  CALL         Sub Tek TDS5000B (1 yr) Chan Delay IEEE /5500+S6
  1.066  JMPL         PROBE_COMPENSATION_OUT

  1.067  LABEL        CHANNELS_ISOLATION_CH1
  1.068  MATH         @Chan = 1
  1.069  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /5500+S6
  1.070  JMPL         SAMPLE_RATE_DELAY_TIME

  1.071  LABEL        CHANNELS_ISOLATION_CH2
  1.072  MATH         @Chan = 2
  1.073  CALL         Sub Tek TDS5000B (1 yr) Channels Iso IEEE /5500+S6
  1.074  JMPL         DELTA_TIME_CH1

  1.075  LABEL        SAMPLE_RATE_DELAY_TIME
  1.076  MATH         @Chan = 1
  1.077  CALL         Sub Tek TDS5000B (1 yr) Sample Rate IEEE /5500+S6
  1.078  JMPL         TRIG_CH1

  1.079  LABEL        DELTA_TIME_CH1
  1.080  MATH         @Chan = 1
  1.081  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5500+S6

  1.082  MATH         @Chan = 2
  1.083  CALL         Sub Tek TDS5000B (1 yr) Delta Time IEEE /5500+S6
  1.084  JMPL         CHANNEL_DELAY

  1.085  LABEL        TRIG_CH1
  1.086  MATH         @Chan = 1
  1.087  CALL         Sub Tek TDS5000B (1 yr) Trig Time IEEE /5500+S6
  1.088  CALL         Sub Tek TDS5000B (1 yr) Trig Sens IEEE /5500+S6
  1.089  JMPL         DCV_ACC_CH2

  1.090  LABEL        PROBE_COMPENSATION_OUT
  1.091  MATH         @Chan = 1
  1.092  CALL         Sub Tek TDS5000B (1 yr) Probe Comp IEEE /5500+S6

  1.093  LABEL        END
  1.094  IEEE2        *RST
  1.095  HEAD
  1.096  RSLT         =

  1.097  IF           @Abort
  1.098  DISP         {V E R I F I C A T I O N   A B O R T E D !}
  1.099  ELSE
  1.100  DISP         {V E R I F I C A T I O N   C O M P L E T E !}
  1.101  ENDIF

  1.102  END
